#include "mapview_tile_provider_base.h"


void MapViewTileProviderBase::setParameters(const PIValueTree & vt) {
	parameters.applyValues(vt);
	applyParametersIntenal();
}


void MapViewTileProviderBase::initParameters(const PIValueTree & vt) {
	parameters = vt;
	applyParametersIntenal();
}


void MapViewTileProviderBase::applyParametersIntenal() {
	applyParameters();
	emit parametersChanged();
}
